Native flac not supported by joggler

General discussion relating to the O2 Joggler, from the default O2 setup, to alternative operating systems and applications.
Post Reply
cszhy
Posts: 116
Joined: Sun Apr 24, 2011 5:25 am

Native flac not supported by joggler

Post by cszhy »

Hi all:

The joggler is installed with squeezeplay os, and LMS running on another Rock64 device, its ok to play wav or dsf format.
but ape and flac is not supported.
is there any way to enable the playback of Flac and APE?

thanks
Man in a van
Posts: 353
Joined: Sun Aug 25, 2013 2:39 pm
Location: Staffordshire. UK

Re: Native flac not supported by joggler

Post by Man in a van »

LMS plays flac natively and transcodes Monkey's Audio

You give no information of your set up; LMS Version (OS on the Rock) Squeezeplay version, Network connection of the Joggler, are CUE files involved, is Lame installed on LMS ?

Maybe also ask on the slimdevices forum
cszhy
Posts: 116
Joined: Sun Apr 24, 2011 5:25 am

Re: Native flac not supported by joggler

Post by cszhy »

Rock version Armbian stretch
Screenshot_2021-09-27-19-11-59-89_1df7e81cb8b1830f43488e7a37ca3ed9.jpg
LMS 8.2
Screenshot_2021-09-27-19-13-25-37_820b80da67ca34a12f493dfc8307f092.jpg
Man in a van
Posts: 353
Joined: Sun Aug 25, 2013 2:39 pm
Location: Staffordshire. UK

Re: Native flac not supported by joggler

Post by Man in a van »

Well, "two out of six is pretty poor" as Meatloaf sung in the demo

This is LMS v 8.2.0 on a raspberry piZero, running Buster Desktop
Logitech Media Server Version: 8.2.0 - 1627922070 @ Tue Aug 3 11:39:20 CEST 2021
Hostname: pizero
Server IP Address: 192.168.1.106
Server HTTP Port Number: 9000
Operating system: Debian - EN - utf8
Platform Architecture: armv7l-linux
Perl Version: 5.28.1 - arm-linux-gnueabihf-thread-multi-64int
Audio::Scan: 1.02
IO::Socket::SSL: 2.060
Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
Total Players Recognized: 1
I would suggest that first you make a backup of your current config.

Then update from Stretch to Buster, I see there is a download for Pine, then install (at least) LMS v 8.2.0 or better LMS 8.2.1 Nightly

http://downloads.slimdevices.com/nightl ... hp?ver=8.2

I have no idea why you have the problems stated in your first post, sorry :(
cszhy
Posts: 116
Joined: Sun Apr 24, 2011 5:25 am

Re: Native flac not supported by joggler

Post by cszhy »

Man in a van wrote: Mon Sep 27, 2021 4:33 pm Well, "two out of six is pretty poor" as Meatloaf sung in the demo

This is LMS v 8.2.0 on a raspberry piZero, running Buster Desktop
Logitech Media Server Version: 8.2.0 - 1627922070 @ Tue Aug 3 11:39:20 CEST 2021
Hostname: pizero
Server IP Address: 192.168.1.106
Server HTTP Port Number: 9000
Operating system: Debian - EN - utf8
Platform Architecture: armv7l-linux
Perl Version: 5.28.1 - arm-linux-gnueabihf-thread-multi-64int
Audio::Scan: 1.02
IO::Socket::SSL: 2.060
Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
Total Players Recognized: 1
I would suggest that first you make a backup of your current config.

Then update from Stretch to Buster, I see there is a download for Pine, then install (at least) LMS v 8.2.0 or better LMS 8.2.1 Nightly

http://downloads.slimdevices.com/nightl ... hp?ver=8.2

I have no idea why you have the problems stated in your first post, sorry :(
thanks buddy! I will try
Post Reply